## node-qs 0.3.2

=== Makefile ===

test:
	@./node_modules/.bin/expresso \
		-I support \
		-I lib

.PHONY: test

=== debian/changelog ===
node-qs (0.3.2-1) unstable; urgency=low

  * New upstream version
  * Add debian/watch

 -- David Paleino <dapal@debian.org>  Wed, 16 Nov 2011 22:41:43 +0100

node-qs (0.3.1-2) unstable; urgency=low

  * Compliance to Debian Javascript Policy

 -- David Paleino <dapal@debian.org>  Sun, 16 Oct 2011 00:00:18 +0200

node-qs (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #645178)

 -- David Paleino <dapal@debian.org>  Thu, 13 Oct 2011 12:13:09 +0200

## node-qs 0.4.0

=== debian/changelog ===
node-qs (0.4.0-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Sat, 31 Dec 2011 11:41:53 +0100

=== debian/control ===
Source: node-qs
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.2
Homepage: http://search.npmjs.org/#/qs
Vcs-Git: git://git.debian.org/collab-maint/node-qs.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-qs.git;a=summary

Package: node-qs
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Description: querystring parser library for NodeJS
 QS is a querystring parser library for NodeJS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:
	# nothing

override_dh_install:
	dh_install
	dh_buildinfo
	
	mv $(CURDIR)/debian/node-qs/usr/lib/nodejs/querystring.js \
		$(CURDIR)/debian/node-qs/usr/lib/nodejs/qs.js

override_dh_installchangelogs:
	dh_installchangelogs History.md

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=qs \
http://registry.npmjs.org/qs/-/qs-(\d+.*)\.tgz

## node-qs 0.4.2

=== debian/changelog ===
node-qs (0.4.2-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.3, no changes needed
  * Update debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 22:42:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://search.npmjs.org/#/qs
 Vcs-Git: git://git.debian.org/collab-maint/node-qs.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-qs.git;a=summary

## node-qs 0.6.5

=== debian/changelog ===
node-qs (0.6.5-1) unstable; urgency=low

  * Upstream update
  * watch: use github directly
  * control:
    + Homepage to github
    + Bump Standards-Version to 3.9.4, no changes required
    + Canonicalize Vcs-* url
    + Use Node.js in description
  * copyright: add Upstream-Contact, Source fields.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 14 Aug 2013 11:31:02 +0200

node-qs (0.5.5-1) experimental; urgency=low

  * Upstream update
  * Copyright: rename MIT to Expat license
  * Install examples.js
  * Install the module file in qs/index.js, remove install override.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 23 Mar 2013 21:11:26 +0100

=== debian/control ===
Source: node-qs
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.4
Homepage: https://github.com/visionmedia/node-querystring
Vcs-Git: git://anonscm.debian.org/collab-maint/node-qs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-qs.git

Package: node-qs
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Description: querystring parser library for Node.js
 QS is a querystring parser library for Node.js.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:
	# nothing

override_dh_installchangelogs:
	dh_installchangelogs History.md

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-qs-$1.tar.gz/ \
https://github.com/visionmedia/node-querystring/tags .*/archive/v?([\d\.]+).tar.gz

## node-qs 2.2.4

=== debian/changelog ===
node-qs (2.2.4-1) unstable; urgency=medium

  * Imported Upstream version 2.2.4
  * Move to pkg-javascript
  * Standards-Version 3.9.6
  * New upstream, project rewritten from scratch:
    + Homepage updated
    + watch file updated
    + copyright changed to BSD-3-clause
  * Rewrite description
  * Build-Depends nodejs
  * Update docs
  * Remove examples
  * Update install files
  * Disable test and build auto targets
  * Fix permissions of installed files
  * Add autopkgtest

 -- Jérémy Lal <kapouer@melix.org>  Sun, 12 Oct 2014 16:59:09 +0200

=== debian/control ===
Source: node-qs
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs
Standards-Version: 3.9.6
Homepage: https://github.com/hapijs/qs
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-qs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-qs.git
XS-Testsuite: autopkgtest

Package: node-qs
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Description: Parse, stringify query strings for Node.js
 This module can parse or stringify query strings, and supports
 nested objects with brackets notation.
 Parameters `depth` and `parameterLimit` help prevent abusive
 user input.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
override_dh_auto_build:

override_dh_fixperms:
	dh_fixperms
	find debian/node-qs/usr/lib/nodejs/qs/ -type f -exec chmod 644 '{}' \;

=== debian/tests/control ===
Test-Command: nodejs -e "require('"'"'qs'"'"');"
Depends: @

## node-qs 6.5.2

=== debian/changelog ===
node-qs (6.5.2-1) unstable; urgency=medium

  * Team upload  
  * New upstream version 6.5.2
  * Use salsa.debian.org in Vcs-* fields
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Change section to javascript and priority to optional

 -- Pirate Praveen <praveen@debian.org>  Wed, 19 Sep 2018 18:20:24 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: node-qs
-Section: web
-Priority: extra
+Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
  Jérémy Lal <kapouer@melix.org>
 Build-Depends:
- debhelper (>= 8~)
- , dh-buildinfo
+ debhelper (>= 11~)
  , nodejs
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
 Homepage: https://github.com/hapijs/qs
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-qs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-qs.git
-XS-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/js-team/node-qs.git
+Vcs-Browser: https://salsa.debian.org/js-team/node-qs
 
 Package: node-qs
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-qs-$1.tar.gz/ \
https://github.com/hapijs/qs/tags .*/archive/v?([\d\.]+).tar.gz

## node-qs 6.9.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,21 @@
 Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Testsuite: autopkgtest-pkg-nodejs
 Uploaders: David Paleino <dapal@debian.org>,
  Jérémy Lal <kapouer@melix.org>
 Build-Depends:
- debhelper (>= 11~)
- , nodejs
-Standards-Version: 4.2.1
+ debhelper-compat (= 12)
+ , node-browserify-lite
+ , node-iconv-lite <!nocheck>
+ , node-lodash <!nocheck>
+ , node-tape <!nocheck>
+ , pkg-js-tools (>= 0.9.12~)
+Standards-Version: 4.4.1
 Homepage: https://github.com/hapijs/qs
 Vcs-Git: https://salsa.debian.org/js-team/node-qs.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-qs
+Rules-Requires-Root: no
 
 Package: node-qs
 Architecture: all

## node-qs 6.9.1+ds

=== debian/changelog ===
node-qs (6.9.1+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.9.1+ds

 -- Xavier Guimard <yadd@debian.org>  Thu, 05 Dec 2019 07:09:52 +0100

node-qs (6.9.0+ds-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Fix debian/copyright
  * Switch install to pkg-js-tools
  * Generate dist/qs.js using browserify-lite
  * New upstream version 6.9.0+ds
  * Enable upstream test

 -- Xavier Guimard <yadd@debian.org>  Sun, 20 Oct 2019 16:00:40 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_build:
	dh_auto_build
	mkdir dist
	browserify-lite ./lib/index.js --outfile dist/qs.js

override_dh_fixperms:
	dh_fixperms
	find debian/node-qs/usr/share/nodejs/qs/ -type f -exec chmod 644 '{}' \;

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-qs-$1.tar.gz/,\
repacksuffix=+ds,\
dversionmangle=auto \
https://github.com/hapijs/qs/tags .*/archive/v?([\d\.]+).tar.gz

## node-qs 6.9.4%2Bds

=== debian/changelog ===
node-qs (6.9.4+ds-1+deb11u1) bullseye; urgency=medium

  * Team upload
  * Fix prototype pollution (Closes: CVE-2022-24999)

 -- Yadd <yadd@debian.org>  Sat, 03 Dec 2022 20:22:12 +0100

node-qs (6.9.4+ds-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 6.9.4+ds
  * Apply multi-arch hints (foreign)

 -- Xavier Guimard <yadd@debian.org>  Mon, 16 Nov 2020 17:41:51 +0100

## node-qs 6.9.4+ds

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  , node-iconv-lite <!nocheck>
  , node-lodash <!nocheck>
  , node-tape <!nocheck>
- , pkg-js-tools (>= 0.9.12~)
-Standards-Version: 4.4.1
+ , dh-sequence-nodejs
+Standards-Version: 4.5.0
 Homepage: https://github.com/hapijs/qs
 Vcs-Git: https://salsa.debian.org/js-team/node-qs.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-qs
@@ -21,7 +21,7 @@
 Package: node-qs
 Architecture: all
 Depends: ${misc:Depends}
- , nodejs
+Multi-Arch: foreign
 Description: Parse, stringify query strings for Node.js
  This module can parse or stringify query strings, and supports
  nested objects with brackets notation.

## node-qs 6.10.3+ds+~6.9.7

=== debian/changelog ===
node-qs (6.10.3+ds+~6.9.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.10.3+ds+~6.9.7
  * Drop embedded test modules, now available

 -- Yadd <yadd@debian.org>  Thu, 13 Jan 2022 07:41:26 +0100

node-qs (6.10.2+ds+~6.9.7-1) unstable; urgency=medium

  * Team upload

  [ Ayoyimika Ajibade ]
  * Updated build dependency

  [ Yadd ]
  * Declare compliance with policy 4.6.0
  * Fix filenamemangle
  * Embed typescript definitions and repack
  * New upstream version 6.10.2+ds+~6.9.7
  * Fix build links
  * Provides libjs-qs

 -- Yadd <yadd@debian.org>  Wed, 08 Dec 2021 15:08:58 +0100

node-qs (6.10.1+ds-1) unstable; urgency=medium

  * Team upload

  [ Yadd ]
  * Declare compliance with policy 4.5.1
  * Fix GitHub tags regex

  [ Ayoyimika Ajibade ]
  * New upstream version 6.10.1+ds
  * Added package to extcopies file.
  * Updated test command
  * Added node_modules/ for clean build
  * Updated standards version 4.5.1 => 4.6.0.1

 -- Ayoyimika Ajibade <ayoyimikaajibade@gmail.com>  Thu, 09 Sep 2021 11:20:51 +0000

=== debian/control ===
Source: node-qs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-browserify-lite
 , node-has-symbols <!nocheck>
 , node-iconv-lite <!nocheck>
 , node-lodash <!nocheck>
 , node-safer-buffer <!nocheck>
 , node-tape <!nocheck>
 , node-util
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-qs
Vcs-Git: https://salsa.debian.org/js-team/node-qs.git
Homepage: https://github.com/hapijs/qs
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-qs
Architecture: all
Depends: ${misc:Depends}
 , node-side-channel
Provides: ${nodejs:Provides}
 , libjs-qs (= ${binary:Version})
Multi-Arch: foreign
Description: Parse, stringify query strings for Node.js
 This module can parse or stringify query strings, and supports
 nested objects with brackets notation.
 Parameters `depth` and `parameterLimit` help prevent abusive
 user input.
 .
 Node.js is an event-based server-side javascript engine.

## node-qs 6.11.0+ds+~6.9.7

=== debian/changelog ===
node-qs (6.11.0+ds+~6.9.7-4) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * Fix build links (Closes: #1057584)

 -- Yadd <yadd@debian.org>  Thu, 07 Dec 2023 07:18:47 +0400

node-qs (6.11.0+ds+~6.9.7-3) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update build for node-deep-equal 2.1

 -- Yadd <yadd@debian.org>  Sun, 04 Dec 2022 18:35:21 +0100

node-qs (6.11.0+ds+~6.9.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 01:32:31 +0000

node-qs (6.11.0+ds+~6.9.7-1) unstable; urgency=medium

  * Team upload
  * Update build links
  * New upstream version 6.11.0+ds+~6.9.7

 -- Yadd <yadd@debian.org>  Sat, 09 Jul 2022 09:49:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,37 @@
 Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
+ , node-available-typed-arrays
  , node-browserify-lite
- , node-has-symbols <!nocheck>
+ , node-call-bind
+ , node-define-data-property
+ , node-deep-equal (>= 2.1)
+ , node-es-abstract
+ , node-for-each
+ , node-function-bind
+ , node-get-intrinsic
+ , node-gopd
+ , node-has
+ , node-has-property-descriptors
+ , node-has-proto
+ , node-has-symbols
+ , node-has-tostringtag
+ , node-hasown
  , node-iconv-lite <!nocheck>
+ , node-inherits
+ , node-is-arguments
+ , node-is-callable
+ , node-is-generator-function
+ , node-is-typed-array
  , node-lodash <!nocheck>
+ , node-object-inspect
  , node-safer-buffer <!nocheck>
+ , node-set-function-length
+ , node-side-channel <!nocheck>
  , node-tape <!nocheck>
  , node-util
-Standards-Version: 4.6.0
+ , node-which-typed-array
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-qs
 Vcs-Git: https://salsa.debian.org/js-team/node-qs.git
 Homepage: https://github.com/hapijs/qs

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-qs-$1/,\
repacksuffix=+ds,\
dversionmangle=auto \
https://github.com/hapijs/qs/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,component=types-qs,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-qs-$1/" \
 https://registry.npmjs.org/@types/qs https://registry.npmjs.org/@types/qs/-/qs-([\d\.]+)@ARCHIVE_EXT@ group

## node-qs 6.13.0+ds+~6.9.16

=== debian/changelog ===
node-qs (6.13.0+ds+~6.9.16-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.0
  * New upstream version 6.13.0+ds+~6.9.16
  * Update test

 -- Yadd <yadd@debian.org>  Sat, 14 Sep 2024 16:48:33 +0400

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  , node-tape <!nocheck>
  , node-util
  , node-which-typed-array
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-qs
 Vcs-Git: https://salsa.debian.org/js-team/node-qs.git
 Homepage: https://github.com/hapijs/qs

## node-qs 6.14.1+ds+~6.14.0

=== debian/changelog ===
node-qs (6.14.1+ds+~6.14.0-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.3
  * Drop "Rules-Requires-Root: no"
  * New upstream release (Closes: CVE-2025-15284)
  * Unfuzz patches
  * debian/watch version 5

 -- Yadd <yadd@debian.org>  Tue, 30 Dec 2025 12:34:05 +0100

=== debian/control ===
--- 
+++ 
@@ -35,12 +35,11 @@
  , node-tape <!nocheck>
  , node-util
  , node-which-typed-array
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/js-team/node-qs
 Vcs-Git: https://salsa.debian.org/js-team/node-qs.git
 Homepage: https://github.com/hapijs/qs
 Testsuite: autopkgtest-pkg-nodejs
-Rules-Requires-Root: no
 
 Package: node-qs
 Architecture: all

=== debian/watch ===
Version: 5
Version-Schema: group

Template: Github
Owner: hapijs
Project: qs
Repacksuffix: +ds

Component: types-qs
Template: Npmregistry
Ctype: nodejs
Dist: @types/qs
